package model;
// Generated Jan 11, 2019 11:51:24 PM by Hibernate Tools 4.3.1


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToOne;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.Table;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Parameter;

/**
 * ExercisesHasMuscles generated by hbm2java
 */
@Entity
@Table(name="exercises_has_muscles"
    ,catalog="mydb"
)
public class ExercisesHasMuscles  implements java.io.Serializable {


     private Integer exercisesIdExercises;
     private Exercises exercises;
     private Muscles muscles;

    public ExercisesHasMuscles() {
    }

    public ExercisesHasMuscles(Exercises exercises, Muscles muscles) {
       this.exercises = exercises;
       this.muscles = muscles;
    }
   
     @GenericGenerator(name="generator", strategy="foreign", parameters=@Parameter(name="property", value="exercises"))@Id @GeneratedValue(generator="generator")

    
    @Column(name="Exercises_idExercises", unique=true, nullable=false)
    public Integer getExercisesIdExercises() {
        return this.exercisesIdExercises;
    }
    
    public void setExercisesIdExercises(Integer exercisesIdExercises) {
        this.exercisesIdExercises = exercisesIdExercises;
    }

@OneToOne(fetch=FetchType.LAZY)@PrimaryKeyJoinColumn
    public Exercises getExercises() {
        return this.exercises;
    }
    
    public void setExercises(Exercises exercises) {
        this.exercises = exercises;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="Muscles_idMusclesParts", nullable=false)
    public Muscles getMuscles() {
        return this.muscles;
    }
    
    public void setMuscles(Muscles muscles) {
        this.muscles = muscles;
    }




}


